import { DynamicModule } from '@nestjs/common';
import { RmqModuleDefinition } from './rmq.module-definition';
interface RmqModuleOptions {
    name: string;
    rmqUri: string;
}
export declare class RmqModule extends RmqModuleDefinition.ConfigurableModuleClass {
    static register({ name, rmqUri }: RmqModuleOptions): DynamicModule;
    static forRoot(options: typeof RmqModuleDefinition.OPTIONS_TYPE): DynamicModule;
    static forRootAsync(options: typeof RmqModuleDefinition.ASYNC_OPTIONS_TYPE): DynamicModule;
}
export {};
